<?php

/**
 * Class ConnectedHeartbeat
 * Concrete class to prepare messages for the current user
 * and all of his/her relations.
 *
 */
class ConnectedHeartbeat extends HeartbeatAccess {

  public function dressUpMessages(HeartbeatParser $heartbeat) {

    $heartbeatInfo = $heartbeat->get_info();
    $heartbeatInfo->limit_view = variable_get('heartbeat_block_public_items_max', 25);
    $heartbeat->set_info($heartbeatInfo);

    $sql = $heartbeatInfo->sql_start;
    $sql.= " AND (
     (ua.uid in( ". implode(',',$heartbeatInfo->user_relations) ." ) AND ua.access >= 0 )
     OR (ua.uid_target = %d AND ua.nid_target <> 0 )
     )";
    $sql.= $heartbeatInfo->sql_end;

    $result = db_query_range($sql, $heartbeatInfo->language, $heartbeatInfo->uid, $heartbeatInfo->start_time, 0,$heartbeatInfo->limit_sql);

    while($heartbeat_row = db_fetch_object($result) ) {
      $heartbeat->raw_messages[$heartbeat_row->uaid] = $heartbeat_row;
    }
    return $heartbeat;
  }
}